de.esprit.netsuite.client.activity.transfer

## Class FileDownloadConnection<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.activity.transfer.IOFileTransferConnection<C>
        - - de.esprit.netsuite.client.activity.transfer.FileDownloadConnection<C>

- All Implemented Interfaces:
    ApplicationObject<C>, CancellableTask, SimpleLogSupport, Dumpable, ClientObject<C>

      public class FileDownloadConnection<C extends ClientContext>
      extends IOFileTransferConnection<C>

  This class performs the transfer (upload or download) of a single file between client and server
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.client.activity.transfer.IOFileTransferConnection

      `TRANSFER_BUFF_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDownloadConnection(C clientCtx, FileTransferClientTask trThread, FileTransferJob job, StreamWrapper streamWrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `protected java.lang.String` | `getClientFileInfo()`

    - ### Methods inherited from class de.esprit.netsuite.client.activity.transfer.IOFileTransferConnection

      `cancel, checkCancelled, close, fireReadProgress, getClientFile, getFileLength, getReceiveStream, getSendStream, getSocketInfo, getTransferJob, isTransferZipped, readObject, setFileLength, shutdownInput, shutdownOutput, toString, wasCancelled, wasFoundZippedOnServer, writeAndReadObject, writeObject`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

- - ### Constructor Detail

    - #### FileDownloadConnection

          public FileDownloadConnection(C clientCtx,
                                FileTransferClientTask trThread,
                                FileTransferJob job,
                                StreamWrapper streamWrapper)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Overrides:
        `execute` in class `IOFileTransferConnection<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### getClientFileInfo

          protected java.lang.String getClientFileInfo()

      Overrides:
        `getClientFileInfo` in class `IOFileTransferConnection<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.